diff --git a/tests/edge/EdgeTest.err b/tests/edge/EdgeTest.err
index 6e21744..3c8a8e1 100644
--- a/tests/edge/EdgeTest.err
+++ b/tests/edge/EdgeTest.err
@@ -42,7 +42,8 @@ TX: Immediate Assignment Uplink (AGCH)
 Sending data request: trx=0 ts=0 sapi=2 arfcn=0 fn=0 block=0 data=2d 06 3f 10 0f 00 00 73 8b 29 07 00 c0 0c 5a 44 2b 2b 2b 2b 2b 2b 2b 
 Searching for first unallocated TFI: TRX=0
  Found TFI=0.
-Got RLC block, coding scheme: CS-1, length: 23 (23))
+Got RLC block, coding scheme: CS-1, length: 23 
+UL data: 40 15 f1 22 33 44 82 c0 0a 10 00 00 00 00 00 00 00 00 0b 2b 2b 2b 2b 
 +++++++++++++++++++++++++ RX : Uplink Control Block +++++++++++++++++++++++++
 ------------------------- RX : Uplink Control Block -------------------------
 MS requests UL TBF in packet resource request of single block, so we provide one:
@@ -68,8 +69,8 @@ TBF(TFI=0 TLLI=0x00000000 DIR=UL STATE=ASSIGN) starting timer 3169.
 Modifying MS object, UL TLLI: 0x00000000 -> 0xf1223344, not yet confirmed
 Modifying MS object, TLLI = 0xf1223344, TA 0 -> 7
 Change control TS to 7 until assinment is complete.
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 23 00 80 d9 2b 2b 2b 2b 2b 2b 01 51 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 23 00 80 d9 2b 2b 2b 2b 2b 2b 01 51 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
 Got MCS-3 RLC block: R=1, SI=1, TFI=0, CPS=6, RSB=1
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN) restarting timer 3169 while old timer 3169 pending 
@@ -78,8 +79,8 @@ TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN): Got MCS-3 RLC data block: CV=8,
 Got SPB(2)  cs(MCS-3) data block with BSN (0), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because MS is stalled.
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 23 00 c0 dc 01 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 23 00 c0 dc 01 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=1, SI=1, TFI=0, CPS=3, RSB=1
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN) restarting timer 3169 while old timer 3169 pending 
@@ -102,7 +103,8 @@ TX: Immediate Assignment Uplink (AGCH)
 Sending data request: trx=0 ts=0 sapi=2 arfcn=0 fn=0 block=0 data=2d 06 3f 10 0f 00 00 73 8b 29 07 00 c0 0c 5a 44 2b 2b 2b 2b 2b 2b 2b 
 Searching for first unallocated TFI: TRX=0
  Found TFI=0.
-Got RLC block, coding scheme: CS-1, length: 23 (23))
+Got RLC block, coding scheme: CS-1, length: 23 
+UL data: 40 15 f1 22 33 44 82 c0 0a 10 00 00 00 00 00 00 00 00 0b 2b 2b 2b 2b 
 +++++++++++++++++++++++++ RX : Uplink Control Block +++++++++++++++++++++++++
 ------------------------- RX : Uplink Control Block -------------------------
 MS requests UL TBF in packet resource request of single block, so we provide one:
@@ -128,8 +130,8 @@ TBF(TFI=0 TLLI=0x00000000 DIR=UL STATE=ASSIGN) starting timer 3169.
 Modifying MS object, UL TLLI: 0x00000000 -> 0xf1223344, not yet confirmed
 Modifying MS object, TLLI = 0xf1223344, TA 0 -> 7
 Change control TS to 7 until assinment is complete.
-Got RLC block, coding scheme: MCS-6, length: 80 (78))
-  UL data: 23 00 80 02 2b 2b 2b 2b 2b 2b 01 51 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got RLC block, coding scheme: MCS-6, length: 80 
+UL data: 23 00 80 02 2b 2b 2b 2b 2b 2b 01 51 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
 Got MCS-6 RLC block: R=1, SI=1, TFI=0, CPS=2, RSB=1
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN) restarting timer 3169 while old timer 3169 pending 
@@ -149,7 +151,8 @@ TX: Immediate Assignment Uplink (AGCH)
 Sending data request: trx=0 ts=0 sapi=2 arfcn=0 fn=0 block=0 data=2d 06 3f 10 0f 00 00 73 8b 29 07 00 c0 0c 5a 44 2b 2b 2b 2b 2b 2b 2b 
 Searching for first unallocated TFI: TRX=0
  Found TFI=0.
-Got RLC block, coding scheme: CS-1, length: 23 (23))
+Got RLC block, coding scheme: CS-1, length: 23 
+UL data: 40 15 f1 22 33 44 82 c0 0a 10 00 00 00 00 00 00 00 00 0b 2b 2b 2b 2b 
 +++++++++++++++++++++++++ RX : Uplink Control Block +++++++++++++++++++++++++
 ------------------------- RX : Uplink Control Block -------------------------
 MS requests UL TBF in packet resource request of single block, so we provide one:
@@ -175,8 +178,8 @@ TBF(TFI=0 TLLI=0x00000000 DIR=UL STATE=ASSIGN) starting timer 3169.
 Modifying MS object, UL TLLI: 0x00000000 -> 0xf1223344, not yet confirmed
 Modifying MS object, TLLI = 0xf1223344, TA 0 -> 7
 Change control TS to 7 until assinment is complete.
-Got RLC block, coding scheme: MCS-8, length: 144 (142))
-  UL data: 1f 50 11 19 af 8a 0a 51 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 0a 43 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got RLC block, coding scheme: MCS-8, length: 144 
+UL data: 1f 50 11 19 af 8a 0a 51 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 0a 43 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
 Got MCS-8 RLC block: R=1, SI=1, TFI=0, CPS=15, RSB=1
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN) restarting timer 3169 while old timer 3169 pending 
@@ -189,8 +192,8 @@ TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN): Got MCS-8 RLC data block: CV=7,
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN): data_length=68, data=43 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
 - Scheduling Ack/Nack, because MS is stalled.
 - Scheduling Ack/Nack, because TLLI is included.
-Got RLC block, coding scheme: MCS-9, length: 156 (154))
-  UL data: 1f 70 d5 1d a8 8a 08 51 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 0a 43 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got RLC block, coding scheme: MCS-9, length: 156 
+UL data: 1f 70 d5 1d a8 8a 08 51 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 0a 43 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
 Got MCS-9 RLC block: R=1, SI=1, TFI=0, CPS=8, RSB=1
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=43)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN) restarting timer 3169 while old timer 3169 pending 
@@ -212,7 +215,8 @@ TX: Immediate Assignment Uplink (AGCH)
 Sending data request: trx=0 ts=0 sapi=2 arfcn=0 fn=0 block=0 data=2d 06 3f 10 0f 00 00 73 8b 29 07 00 c0 0c 5a 44 2b 2b 2b 2b 2b 2b 2b 
 Searching for first unallocated TFI: TRX=0
  Found TFI=0.
-Got RLC block, coding scheme: CS-1, length: 23 (23))
+Got RLC block, coding scheme: CS-1, length: 23 
+UL data: 40 15 f1 22 33 44 83 20 0a 11 08 00 00 00 00 00 00 00 00 2b 2b 2b 2b 
 +++++++++++++++++++++++++ RX : Uplink Control Block +++++++++++++++++++++++++
 ------------------------- RX : Uplink Control Block -------------------------
 MS requests UL TBF in packet resource request of single block, so we provide one:
@@ -247,14 +251,15 @@ TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN EGPRS)s start Packet Uplink Assign
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN EGPRS) Scheduled UL Assignment polling on FN=2654283
 Scheduling control message at RTS for TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN EGPRS) (TRX=0, TS=7)
 Sending data request: trx=0 ts=7 sapi=5 arfcn=0 fn=2654270 block=8 data=4f 28 5e 24 46 68 90 81 0a 39 00 00 88 00 08 8b 2b 2b 2b 2b 2b 2b 2b 
-Got RLC block, coding scheme: CS-1, length: 23 (23))
+Got RLC block, coding scheme: CS-1, length: 23 
+UL data: 40 07 c4 88 cd 10 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 +++++++++++++++++++++++++ RX : Uplink Control Block +++++++++++++++++++++++++
 ------------------------- RX : Uplink Control Block -------------------------
 RX: [PCU <- BTS] TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN EGPRS) Packet Control Ack
 TBF: [DOWNLINK] UPLINK ASSIGNED TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN EGPRS)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN EGPRS) changes state from ASSIGN to FLOW
-Got RLC block, coding scheme: MCS-1, length: 27 (26))
-  UL data: 3c 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got RLC block, coding scheme: MCS-1, length: 27 
+UL data: 3c 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
 Got MCS-1 RLC block: R=0, SI=0, TFI=0, CPS=0, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -266,6 +271,146 @@ TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): data_length=22, data=00 00 0
 - Assembling frames: (len=22)
 -- Frame 1 starts at offset 0, length=22, is_complete=0
 - No gaps in received block, last block: BSN=0 CV=15
+Got RLC block, coding scheme: MCS-1, length: 31 
+UL data: 3c 00 00 40 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got MCS-1 RLC block: R=0, SI=0, TFI=0, CPS=0, RSB=0
+Pani value=1 
+UL DATA TFI=0 received (V(Q)=1 .. V(R)=1)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-1 RLC data block: CV=15, BSN=0, SPB=0, PI=0, E=1, TI=0
+- BSN 0 out of window 1..192 (it's normal)
+- No gaps in received block, last block: BSN=0 CV=15
+Got RLC block, coding scheme: MCS-1, length: 31 
+UL data: 3c 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got MCS-1 RLC block: R=0, SI=0, TFI=0, CPS=0, RSB=0
+Pani value=0 
+UL DATA TFI=0 received (V(Q)=1 .. V(R)=1)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-1 RLC data block: CV=15, BSN=0, SPB=0, PI=0, E=1, TI=0
+- BSN 0 out of window 1..192 (it's normal)
+- No gaps in received block, last block: BSN=0 CV=15
+Got RLC block, coding scheme: MCS-2, length: 37 
+UL data: 3c 00 00 40 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got MCS-2 RLC block: R=0, SI=0, TFI=0, CPS=0, RSB=0
+Pani value=1 
+UL DATA TFI=0 received (V(Q)=1 .. V(R)=1)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-2 RLC data block: CV=15, BSN=0, SPB=0, PI=0, E=1, TI=0
+- BSN 0 out of window 1..192 (it's normal)
+- No gaps in received block, last block: BSN=0 CV=15
+Got RLC block, coding scheme: MCS-2, length: 37 
+UL data: 3c 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got MCS-2 RLC block: R=0, SI=0, TFI=0, CPS=0, RSB=0
+Pani value=0 
+UL DATA TFI=0 received (V(Q)=1 .. V(R)=1)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-2 RLC data block: CV=15, BSN=0, SPB=0, PI=0, E=1, TI=0
+- BSN 0 out of window 1..192 (it's normal)
+- No gaps in received block, last block: BSN=0 CV=15
+Got RLC block, coding scheme: MCS-3, length: 46 
+UL data: 3c 00 00 40 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=0, RSB=0
+Pani value=1 
+UL DATA TFI=0 received (V(Q)=1 .. V(R)=1)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-3 RLC data block: CV=15, BSN=0, SPB=0, PI=0, E=1, TI=0
+- BSN 0 out of window 1..192 (it's normal)
+- No gaps in received block, last block: BSN=0 CV=15
+Got RLC block, coding scheme: MCS-3, length: 46 
+UL data: 3c 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=0, RSB=0
+Pani value=0 
+UL DATA TFI=0 received (V(Q)=1 .. V(R)=1)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-3 RLC data block: CV=15, BSN=0, SPB=0, PI=0, E=1, TI=0
+- BSN 0 out of window 1..192 (it's normal)
+- No gaps in received block, last block: BSN=0 CV=15
+Got RLC block, coding scheme: MCS-5, length: 66 
+UL data: 3c 00 00 08 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got MCS-5 RLC block: R=0, SI=0, TFI=0, CPS=0, RSB=0
+Pani value=1 
+UL DATA TFI=0 received (V(Q)=1 .. V(R)=1)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-5 RLC data block: CV=15, BSN=0, SPB=0, PI=0, E=0, TI=0
+- BSN 0 out of window 1..192 (it's normal)
+- No gaps in received block, last block: BSN=0 CV=15
+Got RLC block, coding scheme: MCS-5, length: 66 
+UL data: 3c 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got MCS-5 RLC block: R=0, SI=0, TFI=0, CPS=0, RSB=0
+Pani value=0 
+UL DATA TFI=0 received (V(Q)=1 .. V(R)=1)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-5 RLC data block: CV=15, BSN=0, SPB=0, PI=0, E=0, TI=0
+- BSN 0 out of window 1..192 (it's normal)
+- No gaps in received block, last block: BSN=0 CV=15
+Got RLC block, coding scheme: MCS-6, length: 84 
+UL data: 3c 00 00 08 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got MCS-6 RLC block: R=0, SI=0, TFI=0, CPS=0, RSB=0
+Pani value=1 
+UL DATA TFI=0 received (V(Q)=1 .. V(R)=1)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-6 RLC data block: CV=15, BSN=0, SPB=0, PI=0, E=0, TI=0
+- BSN 0 out of window 1..192 (it's normal)
+- No gaps in received block, last block: BSN=0 CV=15
+Got RLC block, coding scheme: MCS-6, length: 84 
+UL data: 3c 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got MCS-6 RLC block: R=0, SI=0, TFI=0, CPS=0, RSB=0
+Pani value=0 
+UL DATA TFI=0 received (V(Q)=1 .. V(R)=1)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-6 RLC data block: CV=15, BSN=0, SPB=0, PI=0, E=0, TI=0
+- BSN 0 out of window 1..192 (it's normal)
+- No gaps in received block, last block: BSN=0 CV=15
+Got RLC block, coding scheme: MCS-7, length: 124 
+UL data: 3c 00 00 00 80 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got MCS-7 RLC block: R=0, SI=0, TFI=0, CPS=0, RSB=0
+Pani value=1 
+UL DATA TFI=0 received (V(Q)=1 .. V(R)=1)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-7 RLC data block: CV=15, BSN=0, SPB=0, PI=0, E=0, TI=0
+- BSN 0 out of window 1..192 (it's normal)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-7 RLC data block: CV=15, BSN=1, SPB=0, PI=0, E=0, TI=0
+- BSN 1 storing in window (1..192)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): data_length=56, data=00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+- Raising V(R) to 2
+- Taking block 1 out, raising V(Q) to 2
+- Assembling frames: (len=56)
+UL DATA LI contains invalid extension octet: LI=0, E=0, count=1
+UL DATA out of block border, chunk idx: 4, size: 205
+- No gaps in received block, last block: BSN=1 CV=15
+Got RLC block, coding scheme: MCS-7, length: 124 
+UL data: 3c 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got MCS-7 RLC block: R=0, SI=0, TFI=0, CPS=0, RSB=0
+Pani value=0 
+UL DATA TFI=0 received (V(Q)=2 .. V(R)=2)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-7 RLC data block: CV=15, BSN=0, SPB=0, PI=0, E=0, TI=0
+- BSN 0 out of window 2..193 (it's normal)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-7 RLC data block: CV=15, BSN=1, SPB=0, PI=0, E=0, TI=0
+- BSN 1 out of window 2..193 (it's normal)
+- No gaps in received block, last block: BSN=1 CV=15
+Got RLC block, coding scheme: MCS-8, length: 148 
+UL data: 3c 00 00 00 80 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got MCS-8 RLC block: R=0, SI=0, TFI=0, CPS=0, RSB=0
+Pani value=1 
+UL DATA TFI=0 received (V(Q)=2 .. V(R)=2)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-8 RLC data block: CV=15, BSN=0, SPB=0, PI=0, E=0, TI=0
+- BSN 0 out of window 2..193 (it's normal)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-8 RLC data block: CV=15, BSN=1, SPB=0, PI=0, E=0, TI=0
+- BSN 1 out of window 2..193 (it's normal)
+- No gaps in received block, last block: BSN=1 CV=15
+Got RLC block, coding scheme: MCS-8, length: 148 
+UL data: 3c 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+Got MCS-8 RLC block: R=0, SI=0, TFI=0, CPS=0, RSB=0
+Pani value=0 
+UL DATA TFI=0 received (V(Q)=2 .. V(R)=2)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-8 RLC data block: CV=15, BSN=0, SPB=0, PI=0, E=0, TI=0
+- BSN 0 out of window 2..193 (it's normal)
+TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS): Got MCS-8 RLC data block: CV=15, BSN=1, SPB=0, PI=0, E=0, TI=0
+- BSN 1 out of window 2..193 (it's normal)
+- No gaps in received block, last block: BSN=1 CV=15
 Got 'TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS)', TA=7
 Got MS: TLLI = 0xf1223344, TA = 7
 ********** TBF starts here **********
@@ -307,7 +452,8 @@ TX: Immediate Assignment Uplink (AGCH)
 Sending data request: trx=0 ts=0 sapi=2 arfcn=0 fn=0 block=0 data=2d 06 3f 10 0f 00 00 73 8b 29 07 00 c0 0c 5a 44 2b 2b 2b 2b 2b 2b 2b 
 Searching for first unallocated TFI: TRX=0
  Found TFI=0.
-Got RLC block, coding scheme: CS-1, length: 23 (23))
+Got RLC block, coding scheme: CS-1, length: 23 
+UL data: 40 15 f1 22 33 44 83 20 0a 11 08 00 00 00 00 00 00 00 00 2b 2b 2b 2b 
 +++++++++++++++++++++++++ RX : Uplink Control Block +++++++++++++++++++++++++
 ------------------------- RX : Uplink Control Block -------------------------
 MS requests UL TBF in packet resource request of single block, so we provide one:
@@ -342,14 +488,15 @@ TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN EGPRS)s start Packet Uplink Assign
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN EGPRS) Scheduled UL Assignment polling on FN=2654283
 Scheduling control message at RTS for TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN EGPRS) (TRX=0, TS=7)
 Sending data request: trx=0 ts=7 sapi=5 arfcn=0 fn=2654270 block=8 data=4f 28 5e 24 46 68 90 61 0a 39 00 00 88 00 08 8b 2b 2b 2b 2b 2b 2b 2b 
-Got RLC block, coding scheme: CS-1, length: 23 (23))
+Got RLC block, coding scheme: CS-1, length: 23 
+UL data: 40 07 c4 88 cd 10 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 +++++++++++++++++++++++++ RX : Uplink Control Block +++++++++++++++++++++++++
 ------------------------- RX : Uplink Control Block -------------------------
 RX: [PCU <- BTS] TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN EGPRS) Packet Control Ack
 TBF: [DOWNLINK] UPLINK ASSIGNED TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN EGPRS)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=ASSIGN EGPRS) changes state from ASSIGN to FLOW
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 10 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 10 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -361,8 +508,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (2), TFI(0).
 - Finished with UL TBF
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FLOW EGPRS) changes state from FLOW to FINISHED
 - Scheduling Ack/Nack, because last block has CV==0.
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 20 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 20 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -372,8 +519,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (4), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 30 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 30 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -383,8 +530,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (6), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 40 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 40 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -394,8 +541,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (8), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 50 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 50 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -405,8 +552,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (10), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 60 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 60 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -416,8 +563,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (12), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 70 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 70 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -427,8 +574,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (14), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 80 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 80 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -438,8 +585,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (16), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 90 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 90 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -449,8 +596,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (18), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 a0 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 a0 00 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
